Extending Qt Creator Manual | JsonFieldPage

Extending Qt Creator Manual 4.5.2

# List of All Members for JsonFieldPage

This is the complete list of members for ProjectExplorer::JsonFieldPage, including inherited members.

- class Field
- typedef FieldFactory
- JsonFieldPage(Utils::MacroExpander *, QWidget *)
- ~JsonFieldPage()
- cleanupPage()
- clearError() const
- expander() : Utils::MacroExpander *
- handleAccept() : bool
- handleReject() : bool

- initializePage()
- isComplete() const : bool
- layout() const : QFormLayout *
- pageWasAdded()
- registerFieldFactory(const QString &, const FieldFactory &)
- registerFieldWithName(const QString &, QWidget *, const char *, const char *)
- reportError(const QString &)
- setup(const QVariant &) : bool
- showError(const QString &) const